Doomsday Engine - Feature #2349

[Heretic] Various improvements and modding features
2019-10-27 20:11 - skyjake
Assignee: skyjake

Category: Enhancement

Target version: 2.2 (2019)

Description

Improvements in the Heretic plugin:

® |ntermission shows map play time

¢ Intermission doesn't show "Untitled" as the next map
¢ Added "take" cheat command (opposite of "give")

¢ Player sound effects as a chicken (e.g., laugh)

¢ Non-bleeders shouldn't bleed when crushed

The following modding features are implemented in the Heretic plugin:

Added "Intermission background" to the Map Info DED definition (defaults to "Flats:FLOOR16")

Values for overriding intermission text labels: "Intermission Label|{text}", e.g., "Intermission Label|Finished"

The values "Menu Label|Episode Page Title" and "Menu Label|Skill Page Title" can be set to override the corresponding menu
titles

Defining ammo per shot with Values

DED Map Info flag mif_dim_torch: use the Hexen torch rendering mode with light attenuation

MF3_WALLBOUNCE causes a missile to bounce off walls (adapted from Hexen)

MF_DROPOFF causes objects to fall gently, with gravity, instead of teleporting to floor height

Added script method World.Thing.attack() for executing a thing's attack

In addition, the following is also implemented:

¢ Value definitions can be used to replace menu text labels and page titles (e.g., the value definition "Menu Label|{old-label}" is
used instead of "{old-label}" in menus

¢ Placing the comment // Doomsday: Ignore errors! in a MAPINFO lump will cause Doomsday to silently ignore any unsupported
features in the lump.

e Added script method: World.Thing.recoil()

Related issues:

Related to Bug #2321: [Heretic] Helstaff rain doesn't spawn while shooting cl... Closed 2019-02-09
Related to Feature #2316: Scriptable custom state action functions Closed 2019-01-20
Related to Feature #2352: [Heretic] Scripted touch action for special things Closed 2019-11-16

Associated revisions

Revision 5665711 - 2019-12-11 11:22 - skyjake
World|Scripting: Added World.Thing.recoil()

IssuelD #2349

Revision 93d04a09 - 2019-12-11 11:23 - skyjake
World|Scripting: Added World.Thing.recoil()

IssuelD #2349

History

#1 - 2019-10-27 20:11 - skyjake

- Description updated

#2 - 2019-10-27 20:12 - skyjake
- Related to Bug #2321: [Heretic] Helstaff rain doesn't spawn while shooting close to the target added

#3 - 2019-10-27 20:12 - skyjake

- Related to Feature #2316: Scriptable custom state action functions added

#4 - 2019-11-16 21:24 - skyjake
- Related to Feature #2352: [Heretic] Scripted touch action for special things added

#5 - 2019-12-11 12:17 - skyjake

- Description updated

#6 - 2019-12-17 11:17 - skyjake

- Status changed from Resolved to Closed
